{
  "custom": {},
  "params": {
    "Name": "",
    "Path": "",
    "forceFault": null,
    "forceRunning": null
  },
  "propConfig": {
    "params.Name": {
      "binding": {
        "config": {
          "path": "view.params.Path"
        },
        "transforms": [
          {
            "code": "\tstring \u003d value \n\tparts \u003d string.split(\"/\")\n\td \u003d parts[-1]\n\treturn d\n\treturn value",
            "type": "script"
          }
        ],
        "type": "property"
      },
      "paramDirection": "inout",
      "persistent": true
    },
    "params.Path": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.forceFault": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.forceRunning": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 131,
      "width": 120
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "EmbeddedView",
          "tooltip": {}
        },
        "position": {
          "basis": "100px",
          "grow": 1
        },
        "propConfig": {
          "meta.tooltip.text": {
            "binding": {
              "config": {
                "path": "view.params.Path"
              },
              "type": "property"
            }
          },
          "props.params.forceFaultStatus": {
            "binding": {
              "config": {
                "path": "view.params.forceFault"
              },
              "type": "property"
            }
          },
          "props.params.forceRunningStatus": {
            "binding": {
              "config": {
                "path": "view.params.forceRunning"
              },
              "type": "property"
            }
          },
          "props.path": {
            "binding": {
              "config": {
                "path": "view.params.Path"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "key": "value",
          "style": {
            "height": "80px",
            "pointerEvents": "none",
            "width": "80px"
          }
        },
        "type": "ia.display.view"
      },
      {
        "meta": {
          "name": "Label"
        },
        "position": {
          "basis": "1px",
          "grow": 1
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.Name"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "alignVertical": "top",
          "textStyle": {
            "fontSize": 8,
            "overflowWrap": "break-word",
            "textAlign": "center",
            "textOverflow": "ellipsis"
          }
        },
        "type": "ia.display.label"
      }
    ],
    "events": {
      "dom": {
        "onClick": {
          "config": {
            "script": "\t# Send message for and print on system the selected path. \n\tparams \u003d {\u0027UserClickPath\u0027: self.view.params.Path, \u0027UserClickSymbolName\u0027 : self.view.params.Name}\n\tsystem.perspective.sendMessage(\"UserClickInfo\", payload \u003d params, scope \u003d \"page\")\n\tsystem.perspective.print(params)"
          },
          "scope": "G",
          "type": "script"
        }
      }
    },
    "meta": {
      "name": "root"
    },
    "props": {
      "alignItems": "center",
      "direction": "column",
      "justify": "center",
      "style": {
        "classes": "Background-Styles/Grey-Background",
        "overflow": "hidden"
      }
    },
    "type": "ia.container.flex"
  }
}